package com.alibaba.druid.sql.dialect.es.ast;

public enum EsStatementType {
   unknown(0),
   searchDataQuery(1),
   getDataQuery(2),
   termvectorsQuery(3),
   mtermvecotrsQuery(4),
   getEnrichQuery(5),
   executeEnrichQuery(6),
   queryDataRenderQuery(7),
   queryDataSearchShardsQuery(8),
   querySchemaQuery(9),
   mgetQuery(10),
   searchIndexQuery(11),
   searchMappingQuery(12),
   msearchQuery(13),
   countQuery(14),
   termsEnumQuery(15),
   explainQuery(16),
   fieldCapsQuery(17),
   rankEvalQuery(18),
   createIndex(100),
   updateIndex(101),
   deleteIndex(102),
   reIndex(103),
   closeIndex(104),
   openIndex(105),
   shrinkIndex(106),
   cloneIndex(107),
   rolloverIndex(108),
   freezeIndex(109),
   unfreezeIndex(110),
   resloveIndex(111),
   scalingCreateOrUpdate(150),
   scalingGet(151),
   scalingGetPolicy(152),
   scaingDelete(153),
   deleteEnrich(110),
   createEnrich(111),
   deleteData(201),
   insertData(202),
   updateData(203),
   bulkData(204),
   other(900);

   int code;

   public int getCode() {
      return this.code;
   }

   private EsStatementType(int code) {
      this.code = code;
   }
}
